package bomberclass;

public class BomberStudent {
	int id;
	int vie;
	int maxVie;
	int vitesse;
	int nbClassicBombs;
	int nbRemoteBombs;
	int nbMines;
	int nbMaxBombs;
	//bonus bonus;
	
	public BomberStudent(int id, int nbMaxBombs){
		this.id = id;
		this.vie = 100;
		this.maxVie = 100;
		this.vitesse = 75;
		this.nbClassicBombs = 2;
		this.nbRemoteBombs = 0;
		this.nbMines = 0;
		this.nbMaxBombs = nbMaxBombs;
	}
	
	private void setClassicBombs(int i) {
		this.nbClassicBombs += i;
	}
	
	private void setRemoteBombs(int i) {
		this.nbRemoteBombs += i;
	}
	
	private void setMines(int i){
		this.nbMines += i;
	}
	
	private void setVie(int damage) {
		this.vie -= damage;
	}
	
	private void restoreLife() {
		this.vie = this.maxVie;
	}
	
	private void upMaxLife() {
		this.maxVie *= 1.1;
	}
	
	
}
